Summary:	Logitech Harmony remote programmer GUI
Name:		congruity
Version:	21
Release:	%mkrel 4
License:	GPLv3+
URL:		https://congruity.sourceforge.net/
Source:		https://downloads.sourceforge.net/congruity/congruity-%{version}.tar.bz2
Group:		System/Kernel and hardware
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(libconcord)
Requires:	python3-suds
Requires:	python3dist(six)
Requires:	python3dist(wxpython)

%description
congruity is a GUI application for programming Logitech Harmony universal
remote controls. congruity builds upon the work of libconcord, which
provides the underlying communication.

congruity is configured to handle the configuration files downloaded
from the Logitech configuration website. After installing this package
you can just use the Logitech configuration website and congruity will
launch automatically when appropriate.

A tool called 'mhgui' is also included for configuring remotes that only
work through the myharmony.com website, which does not work with Linux.
This includes the Harmony 200 and Harmony 300. To use it, simply run
'mhgui' and follow the prompts.

%prep
%setup -q

# drop bundled egg-info
rm -rf congruity.egg-info/

%build
%py3_build

%install
%py3_install -- --skip-update-desktop-db

%files
%doc Changelog README.txt LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/mhgui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mhgui.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mhgui.1*
%{python3_sitelib}/congruity-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/congruity/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 21-4.mga10
+ Revision: 2243185
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 papoteur <papoteur> 21-3.mga10
+ Revision: 2161423
- rebuild for python 3.13

* Sat Jan 06 2024 papoteur <papoteur> 21-2.mga10
+ Revision: 2028297
- rebuild for python 3.12

* Fri Sep 16 2022 papoteur <papoteur> 21-1.mga9
+ Revision: 1889199
- new 21

* Wed Mar 23 2022 umeabot <umeabot> 20-7.mga9
+ Revision: 1822527
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 20-6.mga9
+ Revision: 1774305
- fix files list
- rebuild for python-3.10

* Sat May 01 2021 wally <wally> 20-5.mga9
+ Revision: 1720808
- rebuild for python 3.9

* Sun Dec 27 2020 daviddavid <daviddavid> 20-4.mga8
+ Revision: 1664124
- fix python3-suds dependency

* Sun Feb 16 2020 umeabot <umeabot> 20-3.mga8
+ Revision: 1533277
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 20-2.mga8
+ Revision: 1444047
- rebuild for python3.8

* Sat Aug 31 2019 wally <wally> 20-1.mga8
+ Revision: 1435915
- new version 20
- switch to python3

* Tue Sep 18 2018 umeabot <umeabot> 17-6.mga7
+ Revision: 1261205
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 17-5.mga6
+ Revision: 942549
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 17-4.mga5
+ Revision: 744483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 17-3.mga5
+ Revision: 678524
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 17-2.mga4
+ Revision: 529060
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 17-1.mga4
+ Revision: 449553
- new version 17

* Wed Jan 23 2013 fwang <fwang> 15-4.mga3
+ Revision: 391219
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 15-3.mga3
+ Revision: 348113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 25 2011 wally <wally> 15-2.mga1
+ Revision: 90301
- fix desktop file (mga#954)
- drop buildroot definition

* Sat Jan 15 2011 anssi <anssi> 15-1.mga1
+ Revision: 19678
- imported package congruity


* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 15-1mdv2011.0
+ Revision: 575837
- new version
- update license tag
- disable non-working startup notification for the WWW configurator
  menu entry

* Fri Dec 25 2009 Ahmad Samir <ahmadsamir@mandriva.org> 14-1mdv2010.1
+ Revision: 482192
- Add missing Requires (bug #56650)
- Update to new version 14

* Thu Oct 01 2009 Anssi Hannula <anssi@mandriva.org> 13-1mdv2010.0
+ Revision: 452156
- new version
- drop desktop.patch, applied upstream

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 12-1mdv2010.0
+ Revision: 395312
- new version
- use included desktop file with changes (desktop.patch)

* Sun Nov 02 2008 Anssi Hannula <anssi@mandriva.org> 9-1mdv2009.1
+ Revision: 299208
- initial Mandriva release

